Package twisted :: Package mail :: Module protocols :: Class DomainDeliveryBase

[frames | no frames]

## Class DomainDeliveryBase

Known Subclasses:
  `ESMTPDomainDelivery`, `SMTPDomainDelivery`

A server that uses twisted.mail service's domains.

Method Summary
| `__init__(self, service, user, host)`
| `receivedHeader(self, helo, origin, recipients)`
| `startMessage(self, users)`
| `validateFrom(self, helo, origin)`
| `validateTo(self, user)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.protocols.smtp.IMessage...`
`NoneType` | `protocolName` = None
`NoneType` | `service` = None

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.smtp.IMessageDelivery at 0x866d6b4>,)

### protocolName

  Type:
    `NoneType`
  Value:

        None

### service

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:36 2004 | http://epydoc.sf.net